Summary:	A GNU tool which simplifies the build process for users
Name:		make
Epoch:		1
Version:	4.4.1
Release:	%mkrel 3
Url:		https://directory.fsf.org/wiki/Make
License:	GPLv2+
Group:		Development/Other
Source0:	https://ftp.gnu.org/gnu/make/%name-%version.tar.lz
Source1:	https://ftp.gnu.org/gnu/make/%name-%version.tar.lz.sig
Patch1:		make-4.4-lib64.patch
Patch2:		make-4.3-gfortran.patch

BuildRequires:	gettext-devel
BuildRequires:	texinfo
BuildRequires:	lzip
BuildRequires:	gcc >= 5.2.1

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-rpath
%make_build

%check
# all tests must pass
make check

%install
%make_install

ln -sf make %{buildroot}%{_bindir}/gmake

# (tmb) nuke for now, is there any use of a devel package ?
rm -f %{buildroot}/usr/include/gnumake.h

%find_lang %{name}

%files -f %name.lang
%doc ABOUT-NLS AUTHORS README README.customs SCOPTIONS NEWS
%doc COPYING ChangeLog
%_bindir/make
%_bindir/gmake
%_mandir/man1/make.1*
%_infodir/make.info*


%changelog
* Sun Apr 14 2024 wally <wally> 1:4.4.1-3.mga10
+ Revision: 2057264
- rebuild for arm32

* Sat Apr 06 2024 wally <wally> 1:4.4.1-2.mga10
+ Revision: 2055201
- basesystem rebuild for i686

* Tue Feb 28 2023 kekepower <kekepower> 1:4.4.1-1.mga9
+ Revision: 1945712
- Update to version 4.4.1
+ wally <wally>
- add aarch64 to lib64 patch

* Wed Nov 16 2022 kekepower <kekepower> 1:4.4-2.mga9
+ Revision: 1908065
- Add upstream patch ([SV 63307] Handle SIGPIPE as a fatal signal)

* Thu Nov 10 2022 kekepower <kekepower> 1:4.4-1.mga9
+ Revision: 1905380
- Update to version 4.4
- Rediffed Patch1

* Thu Mar 17 2022 umeabot <umeabot> 1:4.3-3.mga9
+ Revision: 1797381
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 1:4.3-2.mga8
+ Revision: 1543471
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tmb <tmb> 1:4.3-1.mga8
+ Revision: 1481760
- drop merged/obsolete patches
- rebase P1, P3
- update to 4.3
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Dec 08 2019 tmb <tmb> 1:4.2.1-4.mga8
+ Revision: 1465057
- Use a non-blocking read with pselect to avoid hangs

* Mon Sep 03 2018 tv <tv> 1:4.2.1-3.mga7
+ Revision: 1256384
- rely on filetriggers for info system (mga#23482)

* Fri Jun 01 2018 tv <tv> 1:4.2.1-2.mga7
+ Revision: 1233433
- fix build with glibc 2.28

* Fri Sep 15 2017 cjw <cjw> 1:4.2.1-1.mga7
+ Revision: 1154477
- 4.2.1
- fix build with perl 5.26

* Fri Feb 12 2016 umeabot <umeabot> 1:4.1-5.mga6
+ Revision: 956104
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 danf <danf> 1:4.1-4.mga6
+ Revision: 868282
- Added upstream ttyname-segv.patch to fix crash without /dev/pts mounted

* Thu Aug 20 2015 tmb <tmb> 1:4.1-3.mga6
+ Revision: 867005
- rebuild with new gcc

* Thu Aug 20 2015 tmb <tmb> 1:4.1-2.mga6
+ Revision: 866663
- rebuild with gcc 5.2.1

* Sun Jul 26 2015 blino <blino> 1:4.1-1.mga6
+ Revision: 857732
- 4.1
- rediff lib64 patch
- drop upstream glob patch
- do not package ChangeLog, not available in tarball anymore

* Wed Oct 15 2014 umeabot <umeabot> 1:4.0-6.mga5
+ Revision: 741414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.0-5.mga5
+ Revision: 682137
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 tmb <tmb> 1:4.0-4.mga5
+ Revision: 640992
- glob.c: a trailing slash must match only directories
+ tv <tv>
- fix URL

* Wed May 14 2014 tmb <tmb> 1:4.0-3.mga5
+ Revision: 622657
- rebuild with gcc 4.9

* Tue Oct 22 2013 umeabot <umeabot> 1:4.0-2.mga4
+ Revision: 541511
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tmb <tmb> 1:4.0-1.mga4
+ Revision: 496043
- BR: texinfo
- update to 4.0
- drop merged patches

* Thu Mar 21 2013 colin <colin> 1:3.82-6.mga3
+ Revision: 404346
- Apply upstream patch to not remove intermediate files during parallel build.

* Sat Jan 12 2013 umeabot <umeabot> 1:3.82-5.mga3
+ Revision: 359322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 23 2011 cjw <cjw> 1:3.82-4.mga1
+ Revision: 89952
- patch6: fix crash when building android

* Sat Jan 22 2011 ahmad <ahmad> 1:3.82-3.mga1
+ Revision: 32864
- add patch from upstream, fixing upstream bug
  http://savannah.gnu.org/bugs/?30612 , needed to make dev86 build
+ kharec <kharec>
- imported package make


* Sun Aug 15 2010 Anssi Hannula <anssi@mandriva.org> 1:3.82-2mdv2011.0
+ Revision: 569887
- remove now unneeded make-pofiles.tar.bz2 (all translations are now
  provided by upstream)
- fix implicit re-executing of subdirs breaking variables provided in
  command line (upstream bug #30723, patch from upstream cvs)

* Sun Aug 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.82-1mdv2011.0
+ Revision: 564383
- update to new version 3.82
- drop patch0,
- rediff patch 1
- disable rpath
- spec file clean

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.81-5mdv2010.1
+ Revision: 520152
- rebuilt for 2010.1

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:3.81-4mdv2009.1
+ Revision: 317060
- rediffed some fuzzy patches

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:3.81-3mdv2009.0
+ Revision: 223143
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 04 2007 Thierry Vignaud <tv@mandriva.org> 1:3.81-2mdv2008.1
+ Revision: 114962
- kill file require on info-install

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.org> 1:3.81-2mdv2008.0
+ Revision: 69242
- rebuild for 2008
- drop a 2006.0 conditional
- bunzip2 patches
- Import make



* Mon Aug 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.81-1mdv2007.0
- new release (#24823)
- kill patch 2 (merged upstream)
- use %%mkrel
- fix make-check-outside-check-section, macro-in-%%changelog, ...

* Fri Sep  9 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.80-9mdk
- make gfortran the default fortran compiler (FC)

* Tue Mar 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.80-8mdk
- patch 2: fix memory exhausting (#14626)

* Fri Jan 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.80-7mdk
- linux32 fixes, aka. resolve -llib only in */lib when running under a
  32-bit personality

* Mon Oct 11 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.80-6mdk
- lib64 fixes

* Fri Jul 25 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.80-5mdk
- Patch0: Don't use high resolution timestamp to nuke librt dep

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.80-4mdk
- rebuild
- use %%make macro

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.80-3mdk
- build release

* Wed Nov 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.80-2mdk
- alter url for gnu site rather than source url (yura gusev)
- doc : add NEWS, remove glob/ChangeLog

* Tue Nov 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.80-1mdk
- new release
- fix url
- BuildRequires: autoconf2.5
- simplify
- drop patch 0 : there's no need to play with aclocal instead of using
  WANT_AUTOCONF_2_5
- drop patch 1 (better fix upstream)

* Sun Nov 03 2002 Stefan van der Eijk <stefan@eijk.nu> 3.79.1-12mdk
- BuildRequires: gettext-devel


* Thu Oct 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.79.1-11mdk
- patch 2: fix bad assertion triggered by xawtv

* Fri Jul  5 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.79.1-10mdk
- Costlessly make check in %%build stage

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.79.1-9mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.79.1-8mdk
- Automated rebuild in gcc3.1 environment

* Tue Mar 26 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.79.1-7mdk
- call libtoolize explicitly

* Fri Oct 26 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.79.1-6mdk
- Rebuild, fix rpmlint errors and warnings.
- Add patch #0, s/AC_PROG_RANLIB/AC_PROG_LIBTOOL/ in configure.in

* Thu Aug 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.79.1-5mdk
- corrected problem with %%preun script

* Thu Aug 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.79.1-4mdk
- integrated catalog files

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.79.1-3mdk
- BM

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.79.1-2mdk
- macroszifications.

* Sun Jun 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.79.1-1mdk
- 3.79.1

* Sat Jun 03 2000 David BAUDENS <baudens@mandrakesoft.com> 3.79-3mdk
- Fix %%doc
- Spec-helper

* Wed Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.79-2mdk
- more documentation in package

* Wed Apr 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.79-1mdk
- Update to 3.79

* Tue Apr 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.77-13mdk
- New Group

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- fix an rm

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with jeff package.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Bzip2 info pages, spec files tweaks.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- added a serial tag so it upgrades right

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for large file support in glob
 
* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.77

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- udpated from 3.75 to 3.76
- various spec file cleanups
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
